<?php
include_once '../sys/inc/start.php';
$doc = new document();
$doc->title='Форум';
$doc->ret('К категориям','./');
if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
header('Refresh: 1; url=./');
$doc->err('Ошибка выбора категории');
exit;
}
$id_cat=(int)$_GET['id'];

$q=mysql_query("SELECT * FROM `forum_categories` WHERE `id` = '$id_cat' AND `group_show` <= '$user->group'");

if (!mysql_num_rows($q))
{
header('Refresh: 1; url=./');
$doc->err('Категория не доступна');
exit;
}

$category=mysql_fetch_assoc($q);

$doc->title.=' - '.$category['name'];






$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_topics` WHERE `id_category` = '$category[id]' AND `group_show` <= '$user->group'"), 0); // количество категорий форума
$pages->this_page(); // получаем текущую страницу


$q = mysql_query("SELECT * FROM `forum_topics` WHERE `id_category` = '$category[id]' AND `group_show` <= '$user->group' ORDER BY `time_last` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($topics=mysql_fetch_assoc($q)) {
$i=array('size'=>'small','src'=>'/sys/images/icons/forum.topic.png');
$t="<a href='topic.php?id={$topics['id']}'>$topics[name]</a>";
$p=text::for_opis($topics['description']);
$posts[]=array('title'=>$t,'icon'=>$i,'post'=>$p);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Доступных Вам разделов нет');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?id='.$id_cat.'&amp;'); // вывод страниц



if ($category['group_write']<=$user->group)$doc->act('Создать раздел','topic.new.php?id_category='.$category['id']."&amp;return=".URL);
if ($category['group_edit']<=$user->group)$doc->act('Параметры категории','category.edit.php?id='.$category['id']."&amp;return=".URL);

?>